# LAM-data (Liikenteen Automaattinen Mittaus) visualization

http://data-analysis-and-ai.pages.labranet.jamk.fi/lam-station-visualization/


This is a simple demo application showing how to use [deck.gl](deck.gl) and
[react-map-gl](https://github.com/uber/react-map-gl) to visualize LAM traffic
data from liikennevirasto (Finnish Transport Agency) open data API.

# Data Sources

## LAM-data

- https://www.liikennevirasto.fi/avoindata/tietoaineistot/lam-tiedot#.W1sEop1RXRZ (In Finnish)
- http://digitraffic.liikennevirasto.fi/en/road-traffic/
- https://www.avoindata.fi/data/en_GB/dataset/digitraffic-tieliikenne

The LAM-data is from Liikennevirasto (Finnish Transport Agency) open data API.
The application uses the REST API for fetching the LAM-station locations and
current traffic data. After the initialization the application connects to the
websocket API and updates the map as the new data comes in. The data is
licensed under [CC 4.0 license](https://creativecommons.org/licenses/by/4.0/).

## Maps

- https://www.maanmittauslaitos.fi/kartat-ja-paikkatieto/asiantuntevalle-kayttajalle/kartta-ja-paikkatietojen-rajapintapalvelut-19 (In Finnish)
- https://avoin-karttakuva.maanmittauslaitos.fi/avoin/wmts/1.0.0/WMTSCapabilities.xml (The WMTS description XML)
- https://www.maanmittauslaitos.fi/kartat-ja-paikkatieto/asiantuntevalle-kayttajalle/tuotekuvaukset/taustakarttasarja-rasteri (Basemap type)

The application uses maps from Maanmittauslaitos (National Land Survey of
Finland) open WMTS (Web Map Tile Service). The maps are licensed under [CC 4.0
license](https://www.maanmittauslaitos.fi/avoindata-lisenssi-cc40).


Update! Currently the app uses the vector tile API that is still in beta. See
link below.

- https://beta-karttakuva.maanmittauslaitos.fi/vtbasemaps/frontpage.html

# License

MIT-license
