import React, { Component } from 'react';
import { Map } from 'immutable';

import PointMap from './PointMap.js';
import './App.css';
import { get_lam_points, connect_lam_ws } from './utils/api-client.js';

class App extends Component {

  update_state(fn) {
    this.setState((prevState) => {
      return fn(prevState);
    });
  }

  handleResize() {
    let width = window.innerWidth;
    let height = window.innerHeight;
    this.setState((prevState) => {
      let mapSize = { width, height };
      return { ...prevState, mapSize };
    });
  }

  constructor(props) {
    super(props);
    let width = window.innerWidth;
    let height = window.innerHeight;
    this.state = { lam_points: Map(), mapSize: { width, height } };
    get_lam_points("https://tie.digitraffic.fi", this.update_state.bind(this))
      .then(() => {
        return connect_lam_ws("mqtts://tie.digitraffic.fi:61619", this.update_state.bind(this));
      });
    this.handleResize = this.handleResize.bind(this);
  }

  componentDidMount() {
    window.addEventListener('resize', this.handleResize);
  }

  render() {
    return (
      <PointMap points={this.state.lam_points} mapSize={this.state.mapSize} />
    );
  }

}

export default App;
